# http://editorconfig.org

# IDE对.editorconfig文件向父级目录方向的查找到此停止
root = true

# 为兼容的IDE设定文本文件默认配置
[*]
charset = utf-8
# 无需限制换行符号，git都会自动转换。对于当前项目来说用什么换行符问题不大
end_of_line = lf
indent_size = 2
indent_style = space
insert_final_newline = true
# 单个文本文件最多能有80行可以编辑
max_line_length = 80
trim_trailing_whitespace = true

# 脚本
# [*.{sh,bash}]
# charset = utf-8
# end_of_line = lf

# [*.{ps1,bat,cmd}]
# charset = utf-16le
# end_of_line = crlf

# markdown文本文件
[*.md]
max_line_length = 0
trim_trailing_whitespace = false

[COMMIT_EDITMSG]
# .git/COMMIT_EDITMSG不受max_line_length限制
max_line_length = 0
